(require-extension testeez)

(define (%testeez:self-test)
  (testeez
   "Foo Station"

   (test/equal "Put two and two together" (+ 2 2) 4)

   (test-define "Bar function" bar (lambda (x) (+ x 42)))

   (test/equal "Bar scene" (bar 69) 0)  ;; will fail

   (test/eqv   "Full circle" (* (bar -21) 2) 42)

   (test/equal "Multiple"
               (values (+ 2 2) (string #\h #\i) (char-upcase #\p))
               (values 4 "hi" #\P))

   ;; Extra test added to test multiple value predicates.
   (test/equiv "Multiple predicates"
               (values (+ 2 2) (string #\h #\i) (char-upcase #\p))
               (values 4 "hi" #\P)
               (eqv? string=? char=?))))

(%testeez:self-test)
